Create a configuration for tenant. - Fabric
Create a configuration for tenant.
cURL
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"configName": "ENUM",
"objectValue": "SYSTEM",
"objectType": "SYSTEM",
"configType": "HOLD"
}
'
import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config"
payload = {
"configName": "ENUM",
"objectValue": "SYSTEM",
"objectType": "SYSTEM",
"configType": "HOLD"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
configName: 'ENUM',
objectValue: 'SYSTEM',
objectType: 'SYSTEM',
configType: 'HOLD'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Status Codes
- 200: Configuration created.
- 400: Bad Request.
- 409: Configuration already exists.
- 500: Internal Server Error.
Expected Response Body
{
"configName": "ENUM",
"objectValue": "SYSTEM",
"objectType": "SYSTEM",
"configType": "HOLD",
"tenantId": "erfvda5435234tgfdvsf"
}
Authorization
Authorization: header required. Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
- x-site-context: required. Contains information about the source you wish to pull from.
Request Body
- configName: string, Name of the configuration.
- objectValue: object, Value that needs to be configured.
- objectType: string, Data type of ObjectValue given.
- configType: string, Type of the configuration.
Response Model
- configName: string, Name of the configuration.
- objectValue: object, Value configured.
- objectType: string, Data type of the ObjectValue.
- configType: string, Type of the configuration.
- tenantId: string.